New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Rmagick does not seem to be compatible with Imagemagick 7 #265

Open
6temes opened this Issue Feb 14, 2017 · 7 comments

Comments

Projects
None yet
7 participants
@6temes

6temes commented Feb 14, 2017

I think that it would be really helpful to explain in the Readme that Rmagick will not work with the default version of Imagemagick

Install instructions for MacOS:

http://stackoverflow.com/a/41747901/2995613

@DoubleDroz

This comment has been minimized.

DoubleDroz commented Feb 16, 2017

It would be nice if, after installing imagemagick@6 with brew, we could simply point rmagick at the @6 version, but still keep the latest and greatest?

Unless of course there is such a way...

@alex-mayr

This comment has been minimized.

alex-mayr commented Feb 16, 2017

what about adjusting the gem so it works for the latest version? guess I'm not the only one who doesn't want to have outdated software on their servers

@linduxed

This comment has been minimized.

linduxed commented Feb 16, 2017

@alex-mayr Apparently it's non-trivial to achieve compatibility with version 7. See #256 for more discussion.

@alex-mayr

This comment has been minimized.

alex-mayr commented Feb 17, 2017

@linduxed ok, that's nasty. thank you

@jullit31

This comment has been minimized.

jullit31 commented Aug 13, 2017

At least someone should, as suggested originally, update the readme not to say

ImageMagick Version 6.4.9 or later.

@seliverstov-maxim

This comment has been minimized.

seliverstov-maxim commented Dec 4, 2017

Yep, I create a PullRequest #284

@kimpepper

This comment has been minimized.

kimpepper commented May 30, 2018

I added #299 to kick start the porting process.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment